# Settings

####################################################################################################
## Default values
####################################################################################################

NumGfun_settings := module()

export binary_splitting_threshold, precision_factor, precision_delta, terms_factor, terms_delta;
# - le scindage binaire gagne largement, mettre 10000 ci-dessous pour s'en convaincre
# - calibré pour ndmatrix ou ndseries
binary_splitting_threshold := 800;

# when N digits are requested, compute the transition matrix to the normal precision, but compute
# the initial values to param_precision_factor * required prec + param_precision_delta digits and
# return that many (useful to test bounds)
precision_factor := 1;
precision_delta := 0;

# when N terms would seem necessary, compute terms_factor*N+terms_delta instead
terms_factor := 1;
terms_delta := 0;

#binsplit = `binsplit/inlined`;
#binsplit = `binsplit/generic`;

end module;

